key_data Struct Reference

`#include <key_data.h>`

## Data Fields

db_object_t * | dbo
db_value_t | id
db_value_t | rev
db_value_t | zone_id
const zone_db_t * | associated_zone_id
zone_db_t * | private_zone_id
db_value_t | hsm_key_id
const hsm_key_t * | associated_hsm_key_id
hsm_key_t * | private_hsm_key_id
unsigned int | algorithm
unsigned int | inception
key_data_role_t | role
unsigned int | introducing
unsigned int | should_revoke
unsigned int | standby
unsigned int | active_zsk
unsigned int | publish
unsigned int | active_ksk
key_data_ds_at_parent_t | ds_at_parent
unsigned int | keytag
unsigned int | minimize
key_state_list_t * | key_state_list

## Detailed Description

A key data object.

Definition at line 68 of file key_data.h.

## Field Documentation

## active_ksk

unsigned int key_data::active_ksk

Definition at line 86 of file key_data.h.

Referenced by key_data_active_ksk(), key_data_cmp(), key_data_copy(), key_data_create(), key_data_from_result(), key_data_set_active_ksk(), and key_data_update().

## active_zsk

unsigned int key_data::active_zsk

Definition at line 84 of file key_data.h.

Referenced by key_data_active_zsk(), key_data_cmp(), key_data_copy(), key_data_create(), key_data_from_result(), key_data_set_active_zsk(), and key_data_update().

## algorithm

unsigned int key_data::algorithm

Definition at line 78 of file key_data.h.

Referenced by key_data_algorithm(), key_data_cmp(), key_data_copy(), key_data_create(), key_data_from_result(), key_data_set_algorithm(), and key_data_update().

## associated_hsm_key_id

const hsm_key_t* key_data::associated_hsm_key_id

Definition at line 76 of file key_data.h.

Referenced by key_data_cache_hsm_key(), key_data_copy(), key_data_get_hsm_key(), and key_data_hsm_key().

## associated_zone_id

const zone_db_t* key_data::associated_zone_id

Definition at line 73 of file key_data.h.

Referenced by key_data_copy(), and key_data_get_zone().

## dbo

db_object_t* key_data::dbo

Definition at line 69 of file key_data.h.

Referenced by key_data_cache_hsm_key(), key_data_count(), key_data_create(), key_data_delete(), key_data_free(), key_data_get_by_hsm_key_id(), key_data_get_by_id(), key_data_get_hsm_key(), key_data_get_zone(), key_data_key_state_list(), key_data_new(), key_data_new_copy(), key_data_retrieve_key_state_list(), and key_data_update().

## ds_at_parent

key_data_ds_at_parent_t key_data::ds_at_parent

Definition at line 87 of file key_data.h.

Referenced by key_data_cmp(), key_data_copy(), key_data_create(), key_data_ds_at_parent(), key_data_from_result(), key_data_new(), key_data_set_ds_at_parent(), and key_data_update().

## hsm_key_id

db_value_t key_data::hsm_key_id

Definition at line 75 of file key_data.h.

Referenced by key_data_cache_hsm_key(), key_data_cmp(), key_data_copy(), key_data_create(), key_data_free(), key_data_from_result(), key_data_get_hsm_key(), key_data_hsm_key_id(), key_data_new(), key_data_set_hsm_key_id(), and key_data_update().

## id

db_value_t key_data::id

Definition at line 70 of file key_data.h.

Referenced by key_data_copy(), key_data_create(), key_data_delete(), key_data_free(), key_data_from_result(), key_data_id(), key_data_new(), and key_data_update().

## inception

unsigned int key_data::inception

Definition at line 79 of file key_data.h.

Referenced by key_data_cmp(), key_data_copy(), key_data_create(), key_data_from_result(), key_data_inception(), key_data_set_inception(), and key_data_update().

## introducing

unsigned int key_data::introducing

Definition at line 81 of file key_data.h.

Referenced by key_data_cmp(), key_data_copy(), key_data_create(), key_data_from_result(), key_data_introducing(), key_data_new(), key_data_set_introducing(), and key_data_update().

## key_state_list

key_state_list_t* key_data::key_state_list

Definition at line 90 of file key_data.h.

Referenced by key_data_copy(), key_data_free(), key_data_key_state_list(), and key_data_retrieve_key_state_list().

## keytag

unsigned int key_data::keytag

Definition at line 88 of file key_data.h.

Referenced by key_data_cmp(), key_data_copy(), key_data_create(), key_data_from_result(), key_data_keytag(), key_data_set_keytag(), and key_data_update().

## minimize

unsigned int key_data::minimize

Definition at line 89 of file key_data.h.

Referenced by key_data_cmp(), key_data_copy(), key_data_create(), key_data_from_result(), key_data_minimize(), key_data_set_minimize(), and key_data_update().

## private_hsm_key_id

hsm_key_t* key_data::private_hsm_key_id

Definition at line 77 of file key_data.h.

Referenced by key_data_cache_hsm_key(), key_data_copy(), key_data_free(), key_data_get_hsm_key(), and key_data_hsm_key().

## private_zone_id

zone_db_t* key_data::private_zone_id

Definition at line 74 of file key_data.h.

Referenced by key_data_copy(), key_data_free(), and key_data_get_zone().

## publish

unsigned int key_data::publish

Definition at line 85 of file key_data.h.

Referenced by key_data_cmp(), key_data_copy(), key_data_create(), key_data_from_result(), key_data_publish(), key_data_set_publish(), and key_data_update().

## rev

db_value_t key_data::rev

Definition at line 71 of file key_data.h.

Referenced by key_data_copy(), key_data_create(), key_data_delete(), key_data_free(), key_data_from_result(), key_data_new(), and key_data_update().

## role

key_data_role_t key_data::role

Definition at line 80 of file key_data.h.

Referenced by key_data_cmp(), key_data_copy(), key_data_create(), key_data_from_result(), key_data_new(), key_data_role(), key_data_role_text(), key_data_set_role(), and key_data_update().

## should_revoke

unsigned int key_data::should_revoke

Definition at line 82 of file key_data.h.

Referenced by key_data_cmp(), key_data_copy(), key_data_create(), key_data_from_result(), and key_data_update().

## standby

unsigned int key_data::standby

Definition at line 83 of file key_data.h.

Referenced by key_data_cmp(), key_data_copy(), key_data_create(), key_data_from_result(), and key_data_update().

## zone_id

db_value_t key_data::zone_id

Definition at line 72 of file key_data.h.

Referenced by change_keys_from_to(), key_data_cmp(), key_data_copy(), key_data_create(), key_data_free(), key_data_from_result(), key_data_get_zone(), key_data_new(), key_data_set_zone_id(), key_data_update(), and key_data_zone_id().

The documentation for this struct was generated from the following file:

- src/db/key_data.h